RetryValue (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.azurebfs.enums, enum: RetryValue

Package org.apache.hadoop.fs.azurebfs.enums

# Enum Class RetryValue

java.lang.Object
java.lang.Enum<RetryValue>
org.apache.hadoop.fs.azurebfs.enums.RetryValue

All Implemented Interfaces:
  `Serializable`, `Comparable<RetryValue>`, `Constable`

public enum RetryValue extends Enum<RetryValue>
Enum for retry values. Used in `AbfsBackoffMetrics` to store metrics based on the retry count.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FIFTEEN_TWENTY_FIVE`
  `FIVE_FIFTEEN`
  `FOUR`
  `ONE`
  `THREE`
  `TWENTY_FIVE_AND_ABOVE`
  `TWO`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RetryValue`
  `getRetryValue(int retryCount)`
  Gets the RetryValue enum based on the retry count.
  `String`
  `getValue()`
  Gets the string representation of the retry value.
  `static RetryValue`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RetryValue[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ONE

    public static final RetryValue ONE

  - ### TWO

    public static final RetryValue TWO

  - ### THREE

    public static final RetryValue THREE

  - ### FOUR

    public static final RetryValue FOUR

  - ### FIVE_FIFTEEN

    public static final RetryValue FIVE_FIFTEEN

  - ### FIFTEEN_TWENTY_FIVE

    public static final RetryValue FIFTEEN_TWENTY_FIVE

  - ### TWENTY_FIVE_AND_ABOVE

    public static final RetryValue TWENTY_FIVE_AND_ABOVE

- ## Method Details

  - ### values

    public static RetryValue[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RetryValue valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Gets the string representation of the retry value.
    Returns:
      the string representation of the retry value

  - ### getRetryValue

    public static RetryValue getRetryValue(int retryCount)
    Gets the RetryValue enum based on the retry count.
    Parameters:
      `retryCount` - the retry count
    Returns:
      the corresponding RetryValue enum